Can someone help me edit this so its fully compatible with 1.3.1.5.1 without any errors?